/**
 * \file
 *
 * \brief HAL(ʰ޳ۑw)
 *
 * 쌠 (c) 2012 Atmel Corporation. s
 *
 * \asf_license_start
 *
 * \page 
 *
 * ύX̗L܂͂Ȃſ2ǐ`ł̎gpƍĔzz͈ȉ̏ɍĂ
 * ΋܂B
 *
 * 1.  ނ̍Ĕzz͏̒쌠ʒmȀꗗAƈȉ̂fێ
 *	  Ȃ΂Ȃ܂B
 *
 * 2. 2i`ł̍Ĕzz͂̔zzŒ񋟂ꂽ⑼̑fނŁA̒쌠ʒmA
 *	  ̏ꗗAƈȉ̂fČȂ΂Ȃ܂B
 *
 * 3. Atmel̖̂͐ɏꂽ̎wȂɂ̿ĳh̑i
 *	  (ۏ)ɎgpłȂ܂B
 *
 * 4. ̿ĳAtmelϲ ۰אiƂ̊֌WłĕzĎgp邱Ƃ
 *	  ܂B
 *
 * ̿ĳ͂ǂȖI܂͈ÎIȕۏ؁Aܕ̐Ȃ"󂻂̂܂"
 * AtmelɂĒ񋟂AړÎ߂̎sꐫƓK̈ÖٓIȕۏ؂͖
 * mɕ܂BƂAtmel̂悤ȑQ̉\iꂽ
 * ƂĂA{gpłȂA܂͎gpȊOŔ(̑Aƒ
 * fA܂͗v̑Ɋւ鐧Ȃ̑Q܂)AځAԐځAKRA
 * RAʁA܂͕tċN@Ȃ鑹Qɑ΂ĂAtmelɐӔC
 * Ȃł傤B
 *
 * \asf_license_stop
 *
 */

#include "compiler.h"
#include "pcint.h"
#include "tc.h"
#include "dali_hal.h"

void dali_hal_forward_decode_disable(void)
{
	pcint_set_interrupt(PCINT_PCIE_PIN_14_8, PCINT_DISABLE);
}

void dali_hal_forward_decode_enable(void)
{
	pcint_set_interrupt(PCINT_PCIE_PIN_14_8, PCINT_ENABLE);
}

void dali_hal_enable_led_driver(void)
{
	DDRD |= 1 << PD6;
	PORTD |= 1 << PD6;
}

void dali_hal_disable_fading_interrupt(void)
{
	tc_set_interrupt(TC1, TC_INT_OVERFLOW, TC_INT_DISABLE);
}

void dali_hal_enable_fading_interrupt(void)
{
	tc_set_interrupt(TC1, TC_INT_OVERFLOW, TC_INT_ENABLE);
}


void dali_hal_fading_interrupt_callback(tc_callback_t callback)
{
	tc_set_overflow_interrupt_callback(TC1, callback);
}
