/**
 * \file
 *
 * \brief TCײ
 *
 * 쌠 (c) 2012 Atmel Corporation. s
 *
 * \asf_license_start
 *
 * \page 
 *
 * ύX̗L܂͂Ȃſ2ǐ`ł̎gpƍĔzz͈ȉ̏ɍĂ
 * ΋܂B
 *
 * 1.  ނ̍Ĕzz͏̒쌠ʒmȀꗗAƈȉ̂fێ
 *	  Ȃ΂Ȃ܂B
 *
 * 2. 2i`ł̍Ĕzz͂̔zzŒ񋟂ꂽ⑼̑fނŁA̒쌠ʒmA
 *	  ̏ꗗAƈȉ̂fČȂ΂Ȃ܂B
 *
 * 3. Atmel̖̂͐ɏꂽ̎wȂɂ̿ĳh̑i
 *	  (ۏ)ɎgpłȂ܂B
 *
 * 4. ̿ĳAtmelϲ ۰אiƂ̊֌WłĕzĎgp邱Ƃ
 *	  ܂B
 *
 * ̿ĳ͂ǂȖI܂͈ÎIȕۏ؁Aܕ̐Ȃ"󂻂̂܂"
 * AtmelɂĒ񋟂AړÎ߂̎sꐫƓK̈ÖٓIȕۏ؂͖
 * mɕ܂BƂAtmel̂悤ȑQ̉\iꂽ
 * ƂĂA{gpłȂA܂͎gpȊOŔ(̑Aƒ
 * fA܂͗v̑Ɋւ鐧Ȃ̑Q܂)AځAԐځAKRA
 * RAʁA܂͕tċN@Ȃ鑹Qɑ΂ĂAtmelɐӔC
 * Ȃł傤B
 *
 * \asf_license_stop
 *
 */
#ifndef TC_H
#define TC_H
#include "compiler.h"

/**
 * \brief 荞ݎیĂі߂֐^
 *
 * 荞ݏ͋@\Ăі߂s悤Ɍ`Ԑݒ肷邱ƂłAĂі߂֐
 * tc_callback_t^ɍvȂ΂Ȃ܂B
 *
 */
typedef void (*tc_callback_t)(void);

#define  TC_CLKSEL_gm 0x07

enum tc_module_t {
	TC0,
	TC1,
	TC2
};

/* ۯI */
enum tc_clkset_t {
	TC_CLKSEL_OFF_gc						= (0x00 << 0),	/* vOFF */
	TC_CLKSEL_DIV1_gc						= (0x01 << 0),	/* I/Oۯ */
	TC_CLKSEL_DIV8_gc						= (0x02 << 0),	/* I/Oۯ/8 */
	TC_CLKSEL_DIV64_gc						= (0x03 << 0),	/* I/Oۯ/64 */
	TC_CLKSEL_DIV256_gc						= (0x04 << 0),	/* I/Oۯ/256 */
	TC_CLKSEL_DIV1024_gc					= (0x05 << 0),	/* I/Oۯ/1024 */
	TC_CLKSEL_EXTERNAL_T0_FALLING_EDGE_gc	= (0x06 << 0),	/* T0݂ł̸ۯ */
	TC_CLKSEL_EXTERNAL_T0_RISING_EDGE_gc	= (0x07 << 0),	/* T0݂ł̸ۯ */
};

/* v1vg`` */
enum tc1_wg_mode_t {
	TC1_WG_NORMAL = 0,
	TC1_WG_PWM_PHASE_CORRECT_8_BIT = 1,
	TC1_WG_PWM_PHASE_CORRECT_9_BIT = 2,
	TC1_WG_PWM_PHASE_CORRECT_10_BIT = 3,
	TC1_WG_CTC_OCRA = 4,
	TC1_WG_FAST_PWM_8_BIT = 5,
	TC1_WG_FAST_PWM_9_BIT = 6,
	TC1_WG_FAST_PWM_10_BIT = 7,
	TC1_WG_PWM_PHASE_AND_FREQUENCY_CORRECT_ICR = 8,
	TC1_WG_PWM_PHASE_AND_FREQUENCY_CORRECT_OCRA = 9,
	TC1_WG_PWM_PHASE_CORRECT_ICR = 10,
	TC1_WG_PWM_PHASE_CORRECT_OCRA = 11,
	TC1_WG_CTC_ICR = 12,
	TC1_WG_FAST_PWM_ICR = 13,
	TC1_WG_FAST_PWM_OCRA = 14,
};

/* v튄荞݌ */
enum tc_interrupt_t {
	TC_INT_OVERFLOW = TOIE0,
	TC_INT_COMPARE_A = OCIE0A,
	TC_INT_COMPARE_B = OCIE0B,
	TC_INT_CAPTURE = ICIE1,
};

/* v튄荞ݐݒ */
enum tc_int_set_t {
	TC_INT_DISABLE = 0,
	TC_INT_ENABLE = 1,
};

/**
 * \brief vۯ`Ԑݒ
 *
 * \param  tc     TCPʕ
 * \param  cklsel ۯI
 */
void tc_write_clock_source(enum tc_module_t tc, enum tc_clkset_t cklsel);

/**
 * \brief v̌vl
 *
 * \param  tc       TCPʕ
 * \param  cnt_low  vl޲
 * \param  cnt_high vl޲
 */
void tc_write_count(enum tc_module_t tc, uint8_t cnt_low, uint8_t cnt_high);

/**
 * \brief v̌vlǂݍ
 *
 * \param  tc     TCPʕ
 * \note vl(CNT)o
 */
uint16_t tc_read_count(enum tc_module_t tc);

/**
 * \brief v1g``Ԃݒ
 *
 * \param  wgm TC1g`(wg)`
 */
void tc1_set_wgm(enum tc1_wg_mode_t wgm);

/**
 * \brief TC荞ݐݒ
 *
 * \param  tc        TCPʕ
 * \param  interrupt 荞݌
 * \param  set       ݒ܂͉
 */
void tc_set_interrupt(enum tc_module_t tc, enum tc_interrupt_t interrupt,
		enum tc_int_set_t set);

/**
 * \brief TCꊄ荞݌Ăі߂֐ݒ
 *
 * ̊֐͊荞݌Ăі߂֐̐ݒƕύXĂяoɋ܂BĂі߂
 * ̐ݒȂײނ̊荞ݏ͊荞ݗv׸ނ邾łB
 *
 * \param  tc       TCPʕ
 * \param  callback Ăі߂֐ւ̎Q
 */
void tc_set_overflow_interrupt_callback(enum tc_module_t tc,
		tc_callback_t callback);

#endif /* TC_H */
